// Nyhetsticker för Magasin Macken – med stopp vid hover och korrekt |-avgränsning utan källa

function macken_nyhetsticker_shortcode() {
    $args = array(
        'category_name'  => 'notiser-2',
        'posts_per_page' => 5,
        'post_status'    => 'publish'
    );

    $posts = get_posts($args);

    if (empty($posts)) return '<div class="nyhetsticker">Inga notiser just nu.</div>';

    $output = '<style>
    .nyhetsticker-wrapper {
        overflow: hidden;
        background: transparent;
        padding: 0.5rem 0;
    }
    .nyhetsticker ul {
        display: flex;
        animation: tickerScroll 30s linear infinite;
        padding: 0;
        margin: 0;
        list-style: none;
        color: #000;
    }
    .nyhetsticker-wrapper:hover ul {
        animation-play-state: paused;
    }
    .nyhetsticker li {
        white-space: nowrap;
        color: #000;
        font-size: 0.95rem;
        font-family: "Helvetica Neue", sans-serif;
        margin-right: 1rem;
    }
    .nyhetsticker a {
        text-decoration: none;
        color: #000;
        font-weight: 600;
    }
    .nyhetsticker a:hover {
        text-decoration: underline;
    }
    @keyframes tickerScroll {
        0%   { transform: translateX(100%); }
        100% { transform: translateX(-100%); }
    }
    </style>';

    $output .= '<div class="nyhetsticker-wrapper"><div class="nyhetsticker"><ul>';

    $total = count($posts);
    $count = 0;

    foreach ($posts as $post) {
        $count++;
        $title = esc_html($post->post_title);
        $link = get_permalink($post->ID);
        $output .= "<li><a href='{$link}'>{$title}</a></li>";
        if ($count < $total) {
            $output .= "<li>|</li>";
        }
    }

    $output .= '</ul></div></div>';

    return $output;
}
add_shortcode('nyhetsticker', 'macken_nyhetsticker_shortcode');

